import { getTheme } from '@fluentui/style-utilities';

var withThemeableProps = function() {
  return {
    className: { type: String, default: "" },
    styles: { type: [Object, Function], default: void 0 },
    theme: { type: Object, default: function() {
      return getTheme();
    } }
  };
};

export { withThemeableProps };
